List the scopes you can grant
curl --request GET \
--url https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"availableScopes": {
"agents": [
"create",
"read",
"update",
"call"
],
"knowledge_base": [
"create",
"read",
"update"
],
"call_history": [
"read",
"export"
],
"tts": [
"create",
"read",
"delete"
],
"transcription": [
"create",
"read",
"update",
"delete"
],
"realtime": [
"create",
"read"
]
}
}
}{
"code": 5409,
"message": "This API key was already revoked.",
"messageKey": "ApiKeyAlreadyRevoked",
"params": {
"action": "api_keys:revoke"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 5409,
"message": "This API key was already revoked.",
"messageKey": "ApiKeyAlreadyRevoked",
"params": {
"action": "api_keys:revoke"
}
}API Keys
List Grantable API Key Scopes
Returns the resource:action scopes your role in the project allows, grouped by resource. A scoped key can only get these.
GET
/
v1
/
projects
/
api-keys
/
scopes-schema
List the scopes you can grant
curl --request GET \
--url https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v1/projects/api-keys/scopes-schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"availableScopes": {
"agents": [
"create",
"read",
"update",
"call"
],
"knowledge_base": [
"create",
"read",
"update"
],
"call_history": [
"read",
"export"
],
"tts": [
"create",
"read",
"delete"
],
"transcription": [
"create",
"read",
"update",
"delete"
],
"realtime": [
"create",
"read"
]
}
}
}{
"code": 5409,
"message": "This API key was already revoked.",
"messageKey": "ApiKeyAlreadyRevoked",
"params": {
"action": "api_keys:revoke"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 5409,
"message": "This API key was already revoked.",
"messageKey": "ApiKeyAlreadyRevoked",
"params": {
"action": "api_keys:revoke"
}
}Authorizations
Query Parameters
Was this page helpful?